summaryrefslogtreecommitdiff
path: root/sh/gitfork
diff options
context:
space:
mode:
Diffstat (limited to 'sh/gitfork')
-rwxr-xr-xsh/gitfork10
1 files changed, 10 insertions, 0 deletions
diff --git a/sh/gitfork b/sh/gitfork
new file mode 100755
index 0000000..9736c4c
--- /dev/null
+++ b/sh/gitfork
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+git clone "$1"
+cd "$(basename "$1" .git)" || exit
+git remote add upstream "$2"
+if ! git checkout fly; then
+ git branch fly
+ git checkout fly
+ git push --set-upstream origin fly
+fi